Legacy address model; new integrations use standing deposit addresses. List liquidation orders.
GET
/
v1
/
liquidation-addresses
/
orders
List liquidation orders
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/liquidation-addresses/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/liquidation-addresses/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/liquidation-addresses/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"orders": [
{
"id": "<string>",
"type": "order",
"status": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"quoteId": "<string>",
"sourceChain": "arbitrum",
"sourceAsset": "<string>",
"sourceAddress": "<string>",
"sourceTxHash": "<string>",
"sourceTxVout": 123,
"sourceTxKey": "<string>",
"sweepTxHash": "<string>",
"destinationChain": "arbitrum",
"destinationAsset": "<string>",
"destinationAddress": "<string>",
"destinationTxHash": "<string>",
"depositAddress": "<string>",
"recipientAddress": "<string>",
"supersededByOperationId": "<string>",
"recoveredFromOperationId": "<string>",
"amountIn": "<string>",
"amountOut": "<string>",
"amountInUsd": "<string>",
"amountOutUsd": "<string>",
"amountFiatUsd": "<string>",
"amountFiatCurrency": "<string>",
"spotUsdPerBtc": "<string>",
"feeBps": 123,
"feeAmount": "<string>",
"feeAsset": "<string>",
"feeAssetDetails": {
"chain": "arbitrum",
"asset": "<string>",
"assetDisplayName": "<string>",
"assetDisplaySymbol": "<string>",
"contractAddress": "<string>",
"decimals": 123,
"chainId": "<string>",
"chainDisplayName": "<string>",
"chainIcon": "<string>"
},
"feeAmountUsd": "<string>",
"totalFeeAmountUsd": "<string>",
"roundingFeeAmount": "<string>",
"slippageBps": 123,
"flashnetRequestId": "<string>",
"sparkTxHash": "<string>",
"refundAsset": "<string>",
"refundAmount": "<string>",
"refundTxHash": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"swap": {},
"ingressSwap": {},
"egressSwap": {},
"feePlan": {},
"feePayouts": {},
"priceLock": {},
"reprice": {},
"paymentIntent": {},
"zeroconfOffer": {},
"totalFeeBps": 123,
"totalFeeAmount": "<string>",
"completedAt": "<string>"
}
],
"nextOffset": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Query Parameters
Minimum string length:
1Minimum string length:
1Required range:
1 <= x <= 200Required range:
x >= 0Was this page helpful?
⌘I
List liquidation orders
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/liquidation-addresses/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/liquidation-addresses/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/liquidation-addresses/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"orders": [
{
"id": "<string>",
"type": "order",
"status": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"quoteId": "<string>",
"sourceChain": "arbitrum",
"sourceAsset": "<string>",
"sourceAddress": "<string>",
"sourceTxHash": "<string>",
"sourceTxVout": 123,
"sourceTxKey": "<string>",
"sweepTxHash": "<string>",
"destinationChain": "arbitrum",
"destinationAsset": "<string>",
"destinationAddress": "<string>",
"destinationTxHash": "<string>",
"depositAddress": "<string>",
"recipientAddress": "<string>",
"supersededByOperationId": "<string>",
"recoveredFromOperationId": "<string>",
"amountIn": "<string>",
"amountOut": "<string>",
"amountInUsd": "<string>",
"amountOutUsd": "<string>",
"amountFiatUsd": "<string>",
"amountFiatCurrency": "<string>",
"spotUsdPerBtc": "<string>",
"feeBps": 123,
"feeAmount": "<string>",
"feeAsset": "<string>",
"feeAssetDetails": {
"chain": "arbitrum",
"asset": "<string>",
"assetDisplayName": "<string>",
"assetDisplaySymbol": "<string>",
"contractAddress": "<string>",
"decimals": 123,
"chainId": "<string>",
"chainDisplayName": "<string>",
"chainIcon": "<string>"
},
"feeAmountUsd": "<string>",
"totalFeeAmountUsd": "<string>",
"roundingFeeAmount": "<string>",
"slippageBps": 123,
"flashnetRequestId": "<string>",
"sparkTxHash": "<string>",
"refundAsset": "<string>",
"refundAmount": "<string>",
"refundTxHash": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"swap": {},
"ingressSwap": {},
"egressSwap": {},
"feePlan": {},
"feePayouts": {},
"priceLock": {},
"reprice": {},
"paymentIntent": {},
"zeroconfOffer": {},
"totalFeeBps": 123,
"totalFeeAmount": "<string>",
"completedAt": "<string>"
}
],
"nextOffset": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}